public inbox for cygwin@cygwin.com
 help / color / mirror / Atom feed
From: Takashi Yano <takashi.yano@nifty.ne.jp>
To: cygwin@cygwin.com
Subject: Re: Group Permissions on root folders problem (Windows 10 TP build 10061)
Date: Fri, 11 Sep 2015 10:04:00 -0000	[thread overview]
Message-ID: <20150911190414.e77404dc09587954644ab65d@nifty.ne.jp> (raw)
In-Reply-To: <20150906114444.GA27066@calimero.vinschen.de>

Hi Corinna,

Regarding the first problem:
> > a) Group permissions on root folders

On Sun, 6 Sep 2015 13:44:44 +0200
Corinna Vinschen wrote:
> The group permission problem is easy (and I'm wondering if it really was
> such a bright idea to let user SID == group SID slip through in Cygwin,
> rather tnan  sticking to the former idea to change the group SID to
> "Users" in this case).  csih needs a patch to not check for the group
> x bit if user SID == group SID.

Do you intend a patch like this? I have confirmed that sshd
is successfully installed and works nicely with this patch
under a Microsoft Account.

--- cygwin-service-installation-helper.sh.orig	2015-02-24 04:57:56.000000000 +0900
+++ cygwin-service-installation-helper.sh	2015-09-11 18:41:56.870882800 +0900
@@ -2442,6 +2442,8 @@
 # ======================================================================
 _csih_setup()
 {
+  local perms="d..x..x..[xt]"
+
   csih_stacktrace "${@}"
   $_csih_trace
   if [ "$_csih_setup_already_called" -eq 0 ]
@@ -2462,7 +2464,13 @@
       csih_error "Problem with LocalSystem or Adminstrator IDs"
     fi
 
-    if ! csih_check_dir_perms "${LOCALSTATEDIR}" "d..x..x..[xt]"
+    if [ `/usr/bin/stat -c '%g' ${LOCALSTATEDIR}` -eq \
+	 `/usr/bin/stat -c '%u' ${LOCALSTATEDIR}` ]
+    then
+      perms="d..x.....[xt]"
+    fi
+
+    if ! csih_check_dir_perms "${LOCALSTATEDIR}" "${perms}"
     then
       csih_error "Problem with ${LOCALSTATEDIR} directory. Exiting."
     fi

-- 
Takashi Yano <takashi.yano@nifty.ne.jp>

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple

  parent reply	other threads:[~2015-09-11 10:04 UTC|newest]

Thread overview: 23+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
     [not found] <CAMH9mcFEL3mao+m-DEYM84kC1HOPeSBpZXD+mDf0USobF9oY7g@mail.gmail.com>
2015-06-16 13:23 ` Brian Buchanan
2015-06-16 15:58   ` Corinna Vinschen
2015-09-05  6:59     ` Takashi Yano
2015-09-06 11:44       ` Corinna Vinschen
2015-09-10 11:05         ` Takashi Yano
2015-09-10 17:23           ` Corinna Vinschen
2015-09-10 17:27             ` Eric Blake
2015-09-10 17:31               ` Corinna Vinschen
2015-09-10 17:36                 ` Eric Blake
2015-09-10 17:49                   ` Corinna Vinschen
2015-09-11  0:50                   ` Andrey Repin
2015-09-11  1:24                     ` Eric Blake
2015-09-11  2:05                       ` Andrey Repin
2015-09-11 10:04         ` Takashi Yano [this message]
2015-09-11 11:10           ` Corinna Vinschen
2015-09-11 12:33             ` Takashi Yano
2015-09-11 15:18               ` Corinna Vinschen
     [not found]     ` <DJzl1r0012qVqVd01Jzm3c>
2015-09-10 15:49       ` David A Cobb
2015-09-10 16:07         ` Ken Brown
2015-09-10 17:29           ` Corinna Vinschen
     [not found]         ` <FU891r01R2qVqVd01U8Bkq>
2015-09-10 20:41           ` David A Cobb
2015-04-29 14:45 Brian Buchanan
2015-04-30  8:24 ` Corinna Vinschen

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20150911190414.e77404dc09587954644ab65d@nifty.ne.jp \
    --to=takashi.yano@nifty.ne.jp \
    --cc=cygwin@cygwin.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).